package main

import (
	//	"encoding/json"
	"log"

	//    "periph.io/x/periph"

	"github.com/spf13/viper"
)

// Dictionary aaa
type Dictionary map[string]interface{}

func main() {

	readConfig()

	nam := viper.Get("hostname")
	log.Printf("hostname: %v\n", nam)

	initI2C()

	startServer()
}

// https://github.com/ColorlibHQ/AdminLTE/archive/v2.4.17.tar.gz

/* TODO

- config reset gpio
- classi per board
- classi per outlet
- fai funzionare toggle
- scan i2c
- impostazioni log
- impostazioni mqtt


*/
